{{ ansible_managed | comment}}
filter {
    if "camel" in [tags] {
        if "app" in [tags] {
            grok {
                match => {
                    "message" => [
                        "^(?<log_datetime>\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}.\d{3})(\ \[(?<log_worker>.*)\]|) %{LOGLEVEL:log_level}%{SPACE}(?<log_app>[a-zA-Z.]+)%{SPACE}(?<log_message>(.|\r|\n)*)$"
                    ]
                }
            }
            date {
                match => [ "log_datetime", "yyyy-MM-dd HH:mm:ss.SSS" ]
                timezone => "{{ prepare_new_OS_timezone }}"
                target => "log_timestamp"
            }
        }
        mutate {
            remove_field => [ "log_datetime" ]
            add_field => {
                "app_name" => "camel"
            }
        }
    }
}
